Subject: bug#175: The eudev package doesn't provide expected udev

From: Alexei Sorokin <[email-masked]>
Date: Tue, 16 Jan 2018 19:32:13 +0300

Package: eudev
Version: 3.2.2-9

I'm using OpenRC on Devuan ascii.
It seems that there's a race condition between mountdevsubfs.sh and 
eudev on
boot which is probably due to "# Should-Start: udev" there not firing 
for
eudev, resulting in /dev/pts/ and /dev/shm/ not populating.
If I change "# Provides: eudev" to "# Provides: eudev udev" in
/etc/init.d/eudev, /dev/pts/ and /dev/shm/ populate fine so I conclude 
that
either the eudev package should provide "udev" or initscripts should 
rather
expect eudev than udev.

Thanks.